Retrieve Binder Relationship
GET
/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/relationships/{relationship_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{major_version} | The binder major_version_number__v field value. |
{minor_version} | The binder minor_version_number__v field value. |
{relationship_id} | The binder relationship id field value. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/binders/566/versions/0/3/relationships/202Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": null,
"errorCodes": null,
"relationships": [
{
"relationship": {
"source_doc_id__v": 566,
"relationship_type__v": "supporting_documents__c",
"created_date__v": "2015-03-24T22:37:20.000Z",
"id": 202,
"target_doc_id__v": 254,
"created_by__v": 46916
}
}
],
"errorType": null
}Response Details
Section link for Response Details| Field Name | Description |
|---|---|
id | Relationship ID. |
source_doc_id | Document ID of the source document. |
relationship_type__v | Relationship type |
created_by__v | User ID of user who created the relationship |
created_date__v | Timestamp when the relationship was created |
target_doc_id__v | Document ID for target document |
target_major_version__v | Major version of the target document; null values indicate that the relationship applies to all major versions |
target_minor_version__v | Minor version of the target document; null values indicate that the relationship applies to all minor versions |